Commit 66251bf2 authored by Nicolas Fella's avatar Nicolas Fella
Browse files

Use standard configure_package_config_file

Since CMake 3.0 the ECM thing doesn't offer any benefit
parent b0bcd523
@PACKAGE_INIT@
include(CMakeFindDependencyMacro)
find_dependency(Qt5Core @QT_REQUIRED_VERSION@)
find_dependency(Qt5Xml @QT_REQUIRED_VERSION@)
......
......@@ -11,12 +11,12 @@ set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
set(QT_REQUIRED_VERSION 5.6)
find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Xml Svg Test Qml Quick PrintSupport)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMPackageConfigHelpers)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
......@@ -50,7 +50,7 @@ add_subdirectory(declarative)
ecm_install_po_files_as_qm(po)
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Analitza5")
ecm_configure_package_config_file(
configure_package_config_file(
"${CMAKE_CURRENT_SOURCE_DIR}/Analitza5Config.cmake.in"
"${CMAKE_CURRENT_BINARY_DIR}/Analitza5Config.cmake"
INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment